> For the complete documentation index, see [llms.txt](https://docs.hackle.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hackle.io/en/data/analysis-tips.md).

# Data Analytics Tips

## Basic Chart Tips

This document covers basic charts that you can create right away after completing SDK integration, without needing to insert separate event names or event properties.

Use the properties auto-collected by Hackle to discover the following insights.

### Visit Metrics

#### How to monitor DAU

* In Data Analytics > Analysis Items, select `Any Event` and `User Count` to view the number of users who enter every day.

![](https://low-cart-12b.notion.site/image/https%3A%2F%2Fs3-us-west-2.amazonaws.com%2Fsecure.notion-static.com%2Fb54436f3-1e5c-4da5-aa82-93e7e9288a5c%2FUntitled.png?table=block\&id=6a0e6632-9d1b-4213-8b6e-3326da3a7cab\&spaceId=516bc997-49ba-4a88-a95c-2b7b83137a2f\&width=2000\&userId=\&cache=v2)

* (Advanced) To break down by device type, you can configure as follows:
  * User Group > Platform = web

![Web users only](https://low-cart-12b.notion.site/image/https%3A%2F%2Fs3-us-west-2.amazonaws.com%2Fsecure.notion-static.com%2Fddb7e043-3f37-4874-9ef2-dfb29c305516%2FUntitled.png?table=block\&id=50139640-4d11-4f10-a492-1df47ad2cae0\&spaceId=516bc997-49ba-4a88-a95c-2b7b83137a2f\&width=2000\&userId=\&cache=v2)

![Mobile users only](https://low-cart-12b.notion.site/image/https%3A%2F%2Fs3-us-west-2.amazonaws.com%2Fsecure.notion-static.com%2Fd48e4acc-6d41-44bd-a08c-60a5c6f1d419%2FUntitled.png?table=block\&id=9c365eff-9906-4ba0-8a89-3daf2afb9707\&spaceId=516bc997-49ba-4a88-a95c-2b7b83137a2f\&width=2000\&userId=\&cache=v2)

#### How to monitor MAU

To view Monthly Active Users, go to Data Analytics > Insight and change the result query `interval` to `Monthly`.

![](https://low-cart-12b.notion.site/image/https%3A%2F%2Fs3-us-west-2.amazonaws.com%2Fsecure.notion-static.com%2Fe66a6903-2ce2-40d1-9e95-bb5a6616b0f5%2FUntitled.png?table=block\&id=a1fcfb82-a15d-4a56-bf90-a578b50746de\&spaceId=516bc997-49ba-4a88-a95c-2b7b83137a2f\&width=2000\&userId=\&cache=v2)

### Detailed Visitor Analysis

#### How to view daily visit count and unique visitor count at a glance

To view visit count and unique visitor (Unique User) separately, configure as follows:

* Insight > Analysis Items > Any Event, `Count` / Any Event, `User Count`

![](https://low-cart-12b.notion.site/image/https%3A%2F%2Fs3-us-west-2.amazonaws.com%2Fsecure.notion-static.com%2Fb7262de0-c6f8-47f9-8acb-87464142a4a0%2FUntitled.png?table=block\&id=56d0e0be-8dc4-4a79-a8d3-fff586002148\&spaceId=516bc997-49ba-4a88-a95c-2b7b83137a2f\&width=2000\&userId=\&cache=v2)

#### How to check OS types and their share among users

To view both the types of OS used by service users and the share of each OS, configure as follows:

* Insight > Analysis Items > `Any Event, User Count`
* Group By > `[User] osName`
* Select the `[Pie Chart]` type from the upper right of the graph

![](https://low-cart-12b.notion.site/image/https%3A%2F%2Fs3-us-west-2.amazonaws.com%2Fsecure.notion-static.com%2F8a5489f2-66b7-497e-a984-037ffcdcb3e6%2FUntitled.png?table=block\&id=7b73a097-e1dd-4f41-9ba4-e1fb100debbf\&spaceId=516bc997-49ba-4a88-a95c-2b7b83137a2f\&width=2000\&userId=\&cache=v2)

#### How to check browser types and their share among users

To view both the types of browsers used by service users and the share of each browser, configure as follows:

* Insight > Analysis Items > `Any Event, User Count`
* Group By > `[User] browserName`
* Select the `[Pie Chart]` type from the upper right of the graph

![](https://low-cart-12b.notion.site/image/https%3A%2F%2Fs3-us-west-2.amazonaws.com%2Fsecure.notion-static.com%2F1e0f3842-f903-41d1-8ad1-4bc8be19c4b2%2FUntitled.png?table=block\&id=e7f5addf-a967-42ec-8c34-64871e022bfe\&spaceId=516bc997-49ba-4a88-a95c-2b7b83137a2f\&width=2000\&userId=\&cache=v2)

### User Activation Analysis

Retention data requires time for data to accumulate, so you cannot see values immediately. However, if you create the following configurations, you will be able to view the data over time.

#### How to check visitors' 7-day Daily Retention

You can view Retention data even with only SDK integration completed.

* Data Analytics > Retention > Analysis Items > Start Event `Any Event`, Goal Event `Any Event`
* Query period: `7 days` / Query interval: `Daily`

![](https://low-cart-12b.notion.site/image/https%3A%2F%2Fs3-us-west-2.amazonaws.com%2Fsecure.notion-static.com%2F84da0167-fc3e-4186-9ab1-80a0f3a1d316%2FUntitled.png?table=block\&id=d9330c98-0158-4c61-8755-8a6b234afe2a\&spaceId=516bc997-49ba-4a88-a95c-2b7b83137a2f\&width=2000\&userId=\&cache=v2)

#### How to check visitors' 30-day Daily Retention

For services with long usage cycles, you can view with a different query interval such as weekly or monthly.

* Data Analytics > Retention > Analysis Items > Start Event `Any Event`, Goal Event `Any Event`
* Query period: `30 days` / Query interval: `Weekly`

![](https://low-cart-12b.notion.site/image/https%3A%2F%2Fs3-us-west-2.amazonaws.com%2Fsecure.notion-static.com%2Ff9f5d825-1b28-4fc0-b37b-1a0830053309%2FUntitled.png?table=block\&id=648fc192-375b-499c-bd83-7be256d9fefb\&spaceId=516bc997-49ba-4a88-a95c-2b7b83137a2f\&width=2000\&userId=\&cache=v2)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hackle.io/en/data/analysis-tips.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
